Subject: Re: linux-next: workqueues tree build failure

From: Peter Ujfalusi <[email-masked]>
Date: Thu, 26 Nov 2009 10:16:58 +0200

Hello,

On Thursday 26 November 2009 10:04:07 ext Tejun Heo wrote:
> 11/26/2009 05:00 PM, Stephen Rothwell wrote:
> > Hi Tejun,
> >
> > Today's linux-next build (x86_64 allmodconfig) failed like this:
> >
> > sound/soc/codecs/tlv320dac33.c: In function 'dac33_i2c_probe':
> > sound/soc/codecs/tlv320dac33.c:1121: error: implicit declaration of
> > function 'create_rt_workqueue' sound/soc/codecs/tlv320dac33.c:1121:
> > warning: assignment makes pointer from integer without a cast
> >
> > Caused by commit 1b2d88bf4c63ed3a8c9033c358905d3463aa8bc2 ("stop_machine:
> > reimplement without using workqueue") (which removed create_rt_workqueue
> > ()) interacting with commit c8bf93f0fe8c5a509a29e30f3bac823fa0f6d96e
> > ("ASoC: Codec driver for Texas Instruments tlv320dac33 codec") from the
> > sound tree.
> >
> > I have no idea how to fix this, so I have used the workqueues tree from
> > next-20091125 until someone can suggest a solution.
> 
> Takashi, RT workqueue is going away.  Do you really need it?

What can be used instead of RT workqueue?
The tlv320dac33 needs RT workqueue because I need to send the I2C command with 
minimum delay to the codec. If this can not be done (the workqueue is delayed), 
and the codec does not receive the command in time, it will literally die.

What are the options to replace the RT workqueue?

> Thanks.

-- 
Péter